SeExpr

Namespaces | Functions
imageSynth.cpp File Reference
`#include <map>`
`#include <cstdlib>`
`#include <cstdio>`
`#include <cstring>`
`#include <png.h>`
`#include <fstream>`
`#include <SeExpr2/Expression.h>`
`#include <SeExpr2/Interpreter.h>`
`#include <SeExpr2/Platform.h>`

Go to the source code of this file.

## Namespaces
| SeExpr2

## Functions
double | clamp (double x)
int | main (int argc, char *argv[])

## Function Documentation

## ◆ clamp()

double clamp | ( | double | x | ) |

Definition at line 61 of file imageSynth.cpp.

References SeExpr2::max(), SeExpr2::min(), and x.

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 65 of file imageSynth.cpp.

References SeExpr2::clamp(), and expr().